Package com.xebialabs.xlrelease.domain.udm.reporting

# Class PlanRecord

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.facet.Facet
com.xebialabs.xlrelease.domain.facet.TaskReportingRecord
com.xebialabs.xlrelease.domain.udm.reporting.PlanRecord

All Implemented Interfaces:
  `ConfigurationItem`, `VisitableItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(label="Plan", description="Unified Data Model for Plan") public class PlanRecord extends TaskReportingRecord

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.xebialabs.xlrelease.domain.facet.Facet

  `CONFIGURATION_URI, scope`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PlanRecord()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getStatus()`
  `String`
  `getTicket()`
  `String`
  `getTicket_url()`
  `String`
  `getTicketType()`
  `String`
  `getTitle()`
  `String`
  `getUpdatedBy()`
  `Date`
  `getUpdatedDate()`
  `void`
  `setStatus(String status)`
  `void`
  `setTicket(String ticket)`
  `void`
  `setTicket_url(String ticket_url)`
  `void`
  `setTicketType(String ticketType)`
  `void`
  `setTitle(String title)`
  `void`
  `setUpdatedBy(String updatedBy)`
  `void`
  `setUpdatedDate(Date updatedDate)`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.facet.TaskReportingRecord

  `getCreationDate, getRetryAttemptNumber, getServerUrl, getServerUser, isCreatedViaApi, setCreatedViaApi, setCreationDate, setRetryAttemptNumber, setServerUrl, setServerUser`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.facet.Facet

  `accept, freezeVariables, getPropertiesWithVariables, getScope, getTargetId, getVariableMapping, getVariableUsages, setScope, setTargetId, setVariableMapping`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PlanRecord

    public PlanRecord()

- ## Method Details

  - ### getTicket

    public String getTicket()

  - ### setTicket

    public void setTicket(String ticket)

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public void setTitle(String title)

  - ### getTicketType

    public String getTicketType()

  - ### setTicketType

    public void setTicketType(String ticketType)

  - ### getStatus

    public String getStatus()

  - ### setStatus

    public void setStatus(String status)

  - ### getUpdatedDate

    public Date getUpdatedDate()

  - ### setUpdatedDate

    public void setUpdatedDate(Date updatedDate)

  - ### getUpdatedBy

    public String getUpdatedBy()

  - ### setUpdatedBy

    public void setUpdatedBy(String updatedBy)

  - ### getTicket_url

    public String getTicket_url()

  - ### setTicket_url

    public void setTicket_url(String ticket_url)